Skip to main content
Resource Center/Hardware/Host Operations/USB Pass-through Operations

UpdateUsbDevice

UpdateUsbDevice

PUT/zstack/v1/usb-device/usb-devices/{uuid}/actions

Operation ID

UpdateUsbDevice

Since

2.2

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    StringRequired

    Resource UUID.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    UsbDeviceInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • hostUuid
      StringRequired

      The host UUID.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • busNum
      StringRequired

      The bus No.

    • devNum
      StringRequired

      The device No.

    • idVendor
      StringRequired

      The vendor ID.

    • idProduct
      StringRequired

      The device ID.

    • iManufacturer
      StringRequired

      The manufacturer.

    • iProduct
      StringRequired

      The device type.

    • iSerial
      StringRequired

      The serial No.

    • usbVersion
      StringRequired

      The USB version.

    • attachType
      StringRequired

      The attach type.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • state
      UsbDeviceStateRequired

      See state.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.